/*
** mg_id_str.c for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 12:15:01 1999 vianney rancurel
** Last update Thu Oct 28 20:15:59 1999 
*/
#include "mg.h"

#ifdef DEBUG
/* is a t_id_walk_proc.
   It is used internally by id_str_show(3). */
t_status		id_str_show_walk(he)
t_hash_elt		*he;
{
  fprintf(stderr,"%d=%s\n",he->key,he->value);
  return (0);
}

/* Shows a id of strings.
   It is a debug function. */
VOID_FUNC		id_str_show(id)
t_id			*id;
{
  t_status		status;

  status = id_walk(id,
		   (t_id_walk_proc)id_str_show_walk,
		   NULL);
  assert(status == 0);
}
#endif
